Bug 919417 - zone2sqlite is sometime unable to create tables
Summary: zone2sqlite is sometime unable to create tables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Hozza 🤓
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-08 12:09 UTC by GV
Modified: 2013-06-03 08:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-03 08:53:54 UTC


Attachments (Terms of Use)

Description GV 2013-03-08 12:09:02 UTC
Description of problem:
zone2sqlite cannot create a table when table name contain ".", "-" or start with a digit, etc.

Version-Release number of selected component (if applicable):
bind-9.9.2-9.P1
bind-sdb-9.9.2-9.P1

How reproducible:
# zone2sqlite
usage: zone2sqlite <zone> <zonefile> <dbfile> <dbtable>

# zone2sqlite domaintest.org m:domaintest.org zones.db domaintest.org
Connecting to 'zones.db'
DROP TABLE domaintest.org 
CREATE TABLE domaintest.org (NAME TEXT, TTL INTEGER, RDTYPE TEXT, RDATA TEXT) 
CREATE TABLE domaintest.org failed: unknown database domaintest

# zone2sqlite 0-255.1.168.192.in-addr.arpa m:0-255.1.168.192.in-addr.arpa zones.db 0-255.1.168.192.in-addr.arpa
Connecting to 'zones.db'
DROP TABLE 0-255.1.168.192.in-addr.arpa 
CREATE TABLE 0-255.1.168.192.in-addr.arpa (NAME TEXT, TTL INTEGER, RDTYPE TEXT, RDATA TEXT) 
CREATE TABLE 0-255.1.168.192.in-addr.arpa failed: near "0": syntax error

# zone2sqlite 0-255.1.168.192.in-addr.arpa m:0-255.1.168.192.in-addr.arpa zones.db rev_0-255.1.168.192.in-addr.arpa
Connecting to 'zones.db'
DROP TABLE rev_0-255.1.168.192.in-addr.arpa 
CREATE TABLE rev_0-255.1.168.192.in-addr.arpa (NAME TEXT, TTL INTEGER, RDTYPE TEXT, RDATA TEXT) 
CREATE TABLE rev_0-255.1.168.192.in-addr.arpa failed: near "-": syntax error

Additional info:
1. Table can be created with dummy names and renamed after.
2. named-sdb seems to work fine with table names containing ".", "-" or starting with a digit.
3. Fixing the bug is trivial.

Comment 1 Fedora End Of Life 2013-04-03 13:46:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora Admin XMLRPC Client 2013-04-25 11:37:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Tomáš Hozza 🤓 2013-05-02 14:23:58 UTC
Fixed in bind-9.9.3-0.4.rc1.fc19

Comment 4 GV 2013-05-02 14:59:02 UTC
zone2sqlite works fine now. Thank you.

Comment 5 Fedora Update System 2013-05-13 11:46:17 UTC
bind-9.9.3-0.6.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind-9.9.3-0.6.rc2.fc19

Comment 6 Fedora Update System 2013-05-24 20:14:05 UTC
bind-9.9.3-0.6.rc2.fc19, dhcp-4.2.5-12.fc19, bind-dyndb-ldap-3.2-1.fc19, dnsperf-2.0.0.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.